Announcement Announcement Module
Collapse
No announcement yet.
Build Issue Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Build Issue

    I am following the instructions on how to build the payment system below:

    Unzip to a location of your choice, for example ~/dev/cybs.
    cd /home/springapps/cybersource/downloads/simapi-java-5.0.2/lib

    Install the CyberSource jars in your local Maven repository

    mvn install:install-file -DgroupId=com.cybersource -DartifactId=cybersource-client -Dversion=1.5 -Dpackaging=jar -Dfile=~/cybs/lib/cybsclients15.jar
    mvn install:install-file -DgroupId=com.cybersource -DartifactId=cybersource-security -Dversion=1.5 -Dpackaging=jar -Dfile=~/cybs/lib/cybssecurity.jar

    2. Spring Mapper

    cd ../spring-mapper
    mvn install

    3. Spring Payment dependencies

    cd ../spring-payment
    mvn install

    At step 3 I get this error, Any help will be appreciate.

    Thanks


    [agyepong@agyepong-dell spring-mapper]$ cd ../spring-payment

    [agyepong@agyepong-dell spring-payment]$ mvn install

    [INFO] Scanning for projects...
    [WARNING]
    [WARNING] Some problems were encountered while building the effective model for org.springframework.payment:spring-payment-parentom:0.5.0.SNAPSHOT
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin is missing. @ line 158, column 12
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-surefire-plugin is missing. @ line 187, column 12
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-source-plugin is missing. @ line 166, column 12
    [WARNING] 'version' uses an unsupported snapshot version format, should be '*-SNAPSHOT' instead. @ line 6, column 11
    [WARNING]
    [WARNING] Some problems were encountered while building the effective model for org.springframework.payment:spring-payment-core:jar:0.5.0.SNAPSHOT
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin is missing. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 158, column 12
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-surefire-plugin is missing. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 187, column 12
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-source-plugin is missing. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 166, column 12
    [WARNING] 'version' uses an unsupported snapshot version format, should be '*-SNAPSHOT' instead. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 6, column 11
    [WARNING]
    [WARNING] Some problems were encountered while building the effective model for org.springframework.payment:spring-payment-client-cybs:jar:0.5.0.SNAPSHOT
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin is missing. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 158, column 12
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-surefire-plugin is missing. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 187, column 12
    [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-source-plugin is missing. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 166, column 12
    [WARNING] 'version' uses an unsupported snapshot version format, should be '*-SNAPSHOT' instead. @ org.springframework.payment:spring-payment-parent:0.5.0.SNAPSHOT, /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml, line 6, column 11
    [WARNING]
    [WARNING] Some problems were encountered while building the effective model for org.springframework.payment:spring-paymentom:0.5.0.SNAPSHOT
    [WARNING] The expression ${pom.version} is deprecated. Please use ${project.version} instead.
    [WARNING] 'version' uses an unsupported snapshot version format, should be '*-SNAPSHOT' instead. @ line 9, column 11
    [WARNING]
    [WARNING] It is highly recommended to fix these problems because they threaten the stability of your build.
    [WARNING]
    [WARNING] For this reason, future Maven versions might no longer support building such malformed projects.
    [WARNING]
    [INFO] ------------------------------------------------------------------------
    [INFO] Reactor Build Order:
    [INFO]
    [INFO] Spring Payment Services Parent POM
    [INFO] Spring Payment Core
    [INFO] CyberSource Gateway Client
    [INFO] Spring Payment Services
    [INFO]
    [INFO] ------------------------------------------------------------------------
    [INFO] Building Spring Payment Services Parent POM 0.5.0.SNAPSHOT
    [INFO] ------------------------------------------------------------------------
    [INFO]
    [INFO] >>> maven-source-plugin:2.2.1:jar (attach-sources) @ spring-payment-parent >>>
    [INFO]

    [INFO] --- maven-install-plugin:2.3.1:install (default-install) @ spring-payment-parent ---
    [INFO] Installing /home/springapps/spring_payment/projects/spring-payment/parent/pom.xml to /home/agyepong/.m2/repository/org/springframework/payment/spring-payment-parent/0.5.0.SNAPSHOT/spring-payment-parent-0.5.0.SNAPSHOT.pom
    [INFO]
    [INFO] ------------------------------------------------------------------------
    [INFO] Building Spring Payment Core 0.5.0.SNAPSHOT
    [INFO] ------------------------------------------------------------------------
    Downloading: http://maven.springframework.org/sna...n-metadata.xml
    Downloaded: http://maven.springframework.org/sna...n-metadata.xml (373 B at 0.6 KB/sec)
    [INFO]
    [INFO] --- maven-resources-plugin:2.5:resources (default-resources) @ spring-payment-core ---
    [debug] execute contextualize
    [WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build is platform dependent!
    [INFO] skip non existing resourceDirectory /home/springapps/spring_payment/projects/spring-payment/core/src/main/resources
    [INFO]
    [INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ spring-payment-core ---
    [INFO] Nothing to compile - all classes are up to date
    [INFO]
    [INFO] --- maven-resources-plugin:2.5:testResources (default-testResources) @ spring-payment-core ---
    [debug] execute contextualize
    [WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build is platform dependent!
    [INFO] Copying 2 resources
    [INFO]
    [INFO] --- maven-compiler-plugin:2.3.2:testCompile (default-testCompile) @ spring-payment-core ---
    [INFO] Nothing to compile - all classes are up to date
    [INFO]
    [INFO] --- maven-surefire-plugin:2.10:test (default-test) @ spring-payment-core ---
    [INFO] Surefire report directory: /home/springapps/spring_payment/projects/spring-payment/core/target/surefire-reports

    -------------------------------------------------------
    T E S T S
    -------------------------------------------------------
    Running org.springframework.payment.test.gateway.StubGatew ayResponseTests
    Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.636 sec
    Running org.springframework.payment.test.gateway.StubGatew ayClientTests

    Downloading: http://repo.maven.apache.org/maven2/...client-1.5.jar
    Downloading: http://repo.maven.apache.org/maven2/...curity-1.5.jar
    [INFO] ------------------------------------------------------------------------
    [INFO] Reactor Summary:
    [INFO]
    [INFO] Spring Payment Services Parent POM ................ SUCCESS [1.757s]
    [INFO] Spring Payment Core ............................... SUCCESS [4.974s]
    [INFO] CyberSource Gateway Client ........................ FAILURE [1.653s]
    [INFO] Spring Payment Services ........................... SKIPPED
    [INFO] ------------------------------------------------------------------------
    [INFO] BUILD FAILURE
    [INFO] ------------------------------------------------------------------------
    [INFO] Total time: 8.677s
    [INFO] Finished at: Thu Feb 14 00:22:08 EST 2013
    [INFO] Final Memory: 10M/123M
    [INFO] ------------------------------------------------------------------------
    [ERROR] Failed to execute goal on project spring-payment-client-cybs: Could not resolve dependencies for project org.springframework.payment:spring-payment-client-cybs:jar:0.5.0.SNAPSHOT: The following artifacts could not be resolved: com.cybersource:cybersource-client:jar:1.5, com.cybersource:cybersource-security:jar:1.5: Could not find artifact com.cybersource:cybersource-client:jar:1.5 in org.springframework.maven.milestone (http://maven.springframework.org/milestone) -> [Help 1]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please read the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/d...utionException
    [ERROR]
    [ERROR] After correcting the problems, you can resume the build with the command
    [ERROR] mvn <goals> -rf :spring-payment-client-cybs
    [agyepong@agyepong-dell spring-payment]$

  • #2
    I am not familiar with this project, but the Welcome thread (http://forum.springsource.org/showth...elcome-message) explains that there is a step in the ReadMe that explains how to manually install these jars into your maven repo.

    Comment

    Working...
    X